Skip to content

Site⁠

Perform various operations on site records.

Operations⁠

getSitePagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getSitePagedListSelectFields
POST /nexum/627/2022.01/account/getSitePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllSiteFields": false,
    "SiteFields": {
      "Locator": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "City": true,
      "State": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchSitePagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchSitePagedSelectFields
POST /nexum/627/2022.01/account/searchSitePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllSiteFields": false,
    "SiteFields": {
      "Locator": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "City": true,
      "State": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getSiteCashOrderType⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
SiteCashOrderTypeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteCashOrderType
POST /nexum/627/2022.01/account/getSiteCashOrderType HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SiteCashOrderTypeLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteCashOrderTypeSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
SiteCashOrderTypeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteCashOrderTypeSelectFields
POST /nexum/627/2022.01/account/getSiteCashOrderTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SiteCashOrderTypeLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteCashOrderTypePagedList⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getSiteCashOrderTypePagedList
POST /nexum/627/2022.01/account/getSiteCashOrderTypePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteCashOrderTypeListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteCashOrderTypeListSelectFields
POST /nexum/627/2022.01/account/getSiteCashOrderTypeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}